Code signature version no longer supported

Build my iOS app successfully. Then use Xcode to install on my iPhone for testing. Xcode says
“Application installation failed
The code signature version is no longer supported.”
Version info:
2019 iMac running Catalina (10.15.7)
Xcode 10.1
Xojo 2021r2.1
iOS 15.0.2

My understanding is that iOS15 requires xcode 13. I see you list your xcode as 10.1

1 Like

I hope that isn’t the case because I think Xcode 13 requires MacOS 11 which I am not ready to install.

You need to use Xcode 13 to run/debug your project on an iPhone running iOS 15. To use Xcode 12 the phone has to be running iOS 14 or earlier.

Source: Running an app on an iPhone iOS 15… | Apple Developer Forums

Forum for Xojo Programming Language and IDE. Copyright © 2021 Xojo, Inc.